package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.TestCaidan;


/**
*  Dao接口
*/
@DataSource("dataSourceSqlserver")
@Repository("com.zoumaframe.dao.TestCaidanMapper")
public interface TestCaidanMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(TestCaidan record);

    TestCaidan selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TestCaidan record);

    List<TestCaidan> queryAllTestCaidan(TestCaidan record);

    List<TestCaidan> queryTestCaidanByPage(Map<String, Object> parameter);

    int delete(String id);

    TestCaidan queryTestCaidan(TestCaidan record);

    List<TestCaidan> query(TestCaidan record);
}

